"""
   Package exception classes.

   Written by Ilya Etingof <ilya@glas.net>, 2001, 2002.
"""   
from pysnmp.asn1 import error

class BerError(error.Asn1Error):
    """Base class for ber sub-package exceptions
    """
    pass

# Common exceptions

class BadArgumentError(BerError):
    """Malformed argument
    """
    pass

class TypeMismatchError(BerError):
    """Type Mismatch Error
    """
    pass

class OverFlowError(BerError):
    """Data item does not fit the packet
    """
    pass

class UnderRunError(BerError):
    """Short BER data stream
    """
    pass

class BadEncodingError(BerError):
    """Incorrect BER encoding
    """
    pass
